import request from '@//utils/request'

// 查询打印机信息列表
export function listHwPrinterInfo(query) {
  return request({
    url: '/system/hwPrinterInfo/list',
    method: 'get',
    params: query
  })
}

// 查询打印机信息详细
export function getHwPrinterInfo(printerInfoId) {
  return request({
    url: '/system/hwPrinterInfo/' + printerInfoId,
    method: 'get'
  })
}

// 新增打印机信息
export function addHwPrinterInfo(data) {
  return request({
    url: '/system/hwPrinterInfo',
    method: 'post',
    data: data
  })
}

// 修改打印机信息
export function updateHwPrinterInfo(data) {
  return request({
    url: '/system/hwPrinterInfo',
    method: 'put',
    data: data
  })
}

// 删除打印机信息
export function delHwPrinterInfo(printerInfoId) {
  return request({
    url: '/system/hwPrinterInfo/' + printerInfoId,
    method: 'delete'
  })
}
